=== cfox/lib/CMakeLists.txt ===
include(CheckIncludeFileCXX)
include(CheckCXXSourceCompiles)
include(CheckCXXSymbolExists)
include(CMakePushCheckState)

option(WITH_XIM "Compile with X Input Method support" ON)
option(WITH_JPEG "Compile with JPEG support" ON)
option(WITH_PNG "Compile with PNG support" ON)
option(WITH_TIFF "Compile with TIFF support" ON)
option(WITH_ZLIB "Compile with zlib support" ON)
option(WITH_BZ2LIB "Compile with bz2lib support" ON)
option(WITH_WEBP "Compile with webp support" ON)
option(WITH_OPENJPEG "Compile with OpenJPEG support" ON)
option(WITH_OPENGL "Compile with OpenGL support" ON)

# libdir name to allow overriding to lib32 / lib64
set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

set(HEADERS ../include/fx3d.h
            ../include/FX4Splitter.h
            ../include/FX7Segment.h
            ../include/FX885910Codec.h
            ../include/FX885911Codec.h
            ../include/FX885913Codec.h
            ../include/FX885914Codec.h
            ../include/FX885915Codec.h
            ../include/FX885916Codec.h
            ../include/FX88591Codec.h
            ../include/FX88592Codec.h
            ../include/FX88593Codec.h
            ../include/FX88594Codec.h
            ../include/FX88595Codec.h
            ../include/FX88596Codec.h
            ../include/FX88597Codec.h
            ../include/FX88598Codec.h
            ../include/FX88599Codec.h
            ../include/FXAccelTable.h
            ../include/FXApp.h
            ../include/FXArray.h
            ../include/FXArrowButton.h
            ../include/fxascii.h
            ../include/FXAtomic.h
            ../include/FXAutoPtr.h
            ../include/FXAutoThreadStorageKey.h
            ../include/FXBarrier.h
            ../include/FXBitmapFrame.h
            ../include/FXBitmap.h
            ../include/FXBitmapView.h
            ../include/FXBMPIcon.h
            ../include/FXBMPImage.h
            ../include/FXButton.h
            ../include/FXBZFileStream.h
            ../include/FXCalendar.h
            ../include/FXCalendarView.h
            ../include/FXCallback.h
            ../include/FXCanvas.h
            ../include/FXCheckButton.h
            ../include/FXChoiceBox.h
            ../include/FXColorBar.h
            ../include/FXColorDialog.h
            ../include/FXColorList.h
            ../include/FXColorRing.h
            ../include/FXColorSelector.h
            ../include/FXColors.h
            ../include/FXColorWell.h
            ../include/FXColorWheel.h
            ../include/FXComboBox.h
            ../include/FXCompletion.h
            ../include/FXComplexd.h
            ../include/FXComplexf.h
            ../include/FXComposeContext.h
            ../include/FXComposite.h
            ../include/FXCondition.h
            ../include/FXConsole.h
            ../include/FXCP1250Codec.h
            ../include/FXCP1251Codec.h
            ../include/FXCP1252Codec.h
            ../include/FXCP1253Codec.h
            ../include/FXCP1254Codec.h
            ../include/FXCP1255Codec.h
            ../include/FXCP1256Codec.h
            ../include/FXCP1257Codec.h
            ../include/FXCP1258Codec.h
            ../include/FXCP437Codec.h
            ../include/FXCP850Codec.h
            ../include/FXCP852Codec.h
            ../include/FXCP855Codec.h
            ../include/FXCP856Codec.h
            ../include/FXCP857Codec.h
            ../include/FXCP860Codec.h
            ../include/FXCP861Codec.h
            ../include/FXCP862Codec.h
            ../include/FXCP863Codec.h
            ../include/FXCP864Codec.h
            ../include/FXCP865Codec.h
            ../include/FXCP866Codec.h
            ../include/FXCP869Codec.h
            ../include/FXCP874Codec.h
            ../include/fxchar.h
            ../include/fxcpuid.h
            ../include/FXCURCursor.h
            ../include/FXCursor.h
            ../include/FXDataTarget.h
            ../include/FXDate.h
            ../include/FXDC.h
            ../include/FXDCPrint.h
            ../include/FXDCWindow.h
            ../include/FXDDSIcon.h
            ../include/FXDDSImage.h
            ../include/FXDebugTarget.h
            ../include/fxdefs.h
            ../include/FXDelegator.h
            ../include/FXDial.h
            ../include/FXDialogBox.h
            ../include/FXDictionary.h
            ../include/FXDictionaryOf.h
            ../include/FXDirBox.h
            ../include/FXDirDialog.h
            ../include/FXDir.h
            ../include/FXDirList.h
            ../include/FXDirSelector.h
            ../include/FXDirVisitor.h
            ../include/FXDirWatch.h
            ../include/FXDispatcher.h
            ../include/FXDisplay.h
            ../include/FXDLL.h
            ../include/FXDockBar.h
            ../include/FXDockHandler.h
            ../include/FXDockSite.h
            ../include/FXDockTitle.h
            ../include/FXDocument.h
            ../include/FXDragCorner.h
            ../include/FXDrawable.h
            ../include/FXDriveBox.h
            ../include/FXElement.h
            ../include/fxendian.h
            ../include/FXEvent.h
            ../include/FXEventDispatcher.h
            ../include/FXEventLoop.h
            ../include/FXException.h
            ../include/FXEXEIcon.h
            ../include/FXEXEImage.h
            ../include/FXExpression.h
            ../include/FXExtentd.h
            ../include/FXExtentf.h
            ../include/FXFileAssociations.h
            ../include/FXFileDialog.h
            ../include/FXFile.h
            ../include/FXFileList.h
            ../include/FXFileProgressDialog.h
            ../include/FXFileSelector.h
            ../include/FXFileStream.h
            ../include/FXFoldingList.h
            ../include/FXFontDialog.h
            ../include/FXFont.h
            ../include/FXFontSelector.h
            ../include/FXFrame.h
            ../include/FXGauge.h
            ../include/FXGIFCursor.h
            ../include/FXGIFIcon.h
            ../include/FXGIFImage.h
            ../include/FXGLCanvas.h
            ../include/FXGLContext.h
            ../include/FXGLObject.h
            ../include/FXGLViewer.h
            ../include/FXGLVisual.h
            ../include/FXGradientBar.h
            ../include/FXGroupBox.h
            ../include/FXGZFileStream.h
            ../include/fx.h
            ../include/FXhalf.h
            ../include/FXHash.h
            ../include/FXHashOf.h
            ../include/FXHeader.h
            ../include/FXHorizontalFrame.h
            ../include/FXICOIcon.h
            ../include/FXICOImage.h
            ../include/FXIconCache.h
            ../include/FXIcon.h
            ../include/FXIconList.h
            ../include/FXIconSource.h
            ../include/FXId.h
            ../include/FXIFFIcon.h
            ../include/FXIFFImage.h
            ../include/FXImageFrame.h
            ../include/FXImage.h
            ../include/FXImageView.h
            ../include/FXINI.h
            ../include/FXINIFile.h
            ../include/FXInputDialog.h
            ../include/FXIOBuffer.h
            ../include/FXIODevice.h
            ../include/FXIO.h
            ../include/FXJP2Icon.h
            ../include/FXJP2Image.h
            ../include/FXJPGIcon.h
            ../include/FXJPGImage.h
            ../include/FXJSON.h
            ../include/FXJSONFile.h
            ../include/FXJSONString.h
            ../include/fxkeys.h
            ../include/FXKnob.h
            ../include/FXKOI8RCodec.h
            ../include/FXLabel.h
            ../include/FXLFQueue.h
            ../include/FXListBox.h
            ../include/FXList.h
            ../include/FXLocale.h
            ../include/FXMainWindow.h
            ../include/FXMat2d.h
            ../include/FXMat2f.h
            ../include/FXMat3d.h
            ../include/FXMat3f.h
            ../include/FXMat4d.h
            ../include/FXMat4f.h
            ../include/fxmath.h
            ../include/FXMatrix.h
            ../include/FXMDIButton.h
            ../include/FXMDIChild.h
            ../include/FXMDIClient.h
            ../include/FXMemMap.h
            ../include/FXMemoryStream.h
            ../include/FXMenuBar.h
            ../include/FXMenuButton.h
            ../include/FXMenuCaption.h
            ../include/FXMenuCascade.h
            ../include/FXMenuCheck.h
            ../include/FXMenuCommand.h
            ../include/FXMenuPane.h
            ../include/FXMenuRadio.h
            ../include/FXMenuSeparator.h
            ../include/FXMenuTitle.h
            ../include/FXMessageBox.h
            ../include/FXMessageChannel.h
            ../include/FXMetaClass.h
            ../include/FXMutex.h
            ../include/FXObject.h
            ../include/FXObjectList.h
            ../include/FXOptionMenu.h
            ../include/FXPacker.h
            ../include/FXParallel.h
            ../include/FXParseBuffer.h
            ../include/FXPath.h
            ../include/FXPCXIcon.h
            ../include/FXPCXImage.h
            ../include/FXPicker.h
            ../include/FXPipe.h
            ../include/FXPNGIcon.h
            ../include/FXPNGImage.h
            ../include/FXPoint.h
            ../include/FXPopup.h
            ../include/FXPPMIcon.h
            ../include/FXPPMImage.h
            ../include/FXPrintDialog.h
            ../include/FXProcess.h
            ../include/FXProgressBar.h
            ../include/FXProgressDialog.h
            ../include/FXPtrList.h
            ../include/FXPtrQueue.h
            ../include/FXQuatd.h
            ../include/FXQuatf.h
            ../include/FXRadioButton.h
            ../include/FXRandom.h
            ../include/FXRanged.h
            ../include/FXRangef.h
            ../include/FXRangeSlider.h
            ../include/FXRASIcon.h
            ../include/FXRASImage.h
            ../include/FXReactor.h
            ../include/FXReadWriteLock.h
            ../include/FXRealSlider.h
            ../include/FXRealSpinner.h
            ../include/FXRecentFiles.h
            ../include/FXRectangle.h
            ../include/FXRefPtr.h
            ../include/FXRegion.h
            ../include/FXRegistry.h
            ../include/FXReplaceDialog.h
            ../include/FXReverseDictionary.h
            ../include/FXReverseDictionaryOf.h
            ../include/FXRex.h
            ../include/FXRGBIcon.h
            ../include/FXRGBImage.h
            ../include/FXRootWindow.h
            ../include/FXRuler.h
            ../include/FXRulerView.h
            ../include/FXRunnable.h
            ../include/FXScopedThread.h
            ../include/FXScrollArea.h
            ../include/FXScrollBar.h
            ../include/FXScrollPane.h
            ../include/FXScrollWindow.h
            ../include/FXSearchDialog.h
            ../include/FXSemaphore.h
            ../include/FXSemaQueue.h
            ../include/FXSeparator.h
            ../include/FXSettings.h
            ../include/FXShell.h
            ../include/FXShutter.h
            ../include/FXSize.h
            ../include/FXSlider.h
            ../include/FXSocket.h
            ../include/FXSphered.h
            ../include/FXSpheref.h
            ../include/FXSpinLock.h
            ../include/FXSpinner.h
            ../include/FXSplashWindow.h
            ../include/FXSplitter.h
            ../include/FXSpring.h
            ../include/FXStat.h
            ../include/FXStatusBar.h
            ../include/FXStatusLine.h
            ../include/FXStream.h
            ../include/FXStringDictionary.h
            ../include/FXString.h
            ../include/FXSwitcher.h
            ../include/FXSystem.h
            ../include/FXTabBar.h
            ../include/FXTabBook.h
            ../include/FXTabItem.h
            ../include/FXTable.h
            ../include/FXTaskGroup.h
            ../include/FXTextCodec.h
            ../include/FXTextField.h
            ../include/FXText.h
            ../include/FXTGAIcon.h
            ../include/FXTGAImage.h
