=== debian/changelog ===
gogglesmm (1.2.5-6) unstable; urgency=medium

  * fix ftfbs by applying DCMAKE_POLICY_VERSION_MINIMUM=3.5 (closes: #1112971)
  * update watch to v5
  * remove Rules-Requires-Root

 -- Cord Beermann <cord@debian.org>  Sun, 28 Sep 2025 14:46:19 +0200

gogglesmm (1.2.5-5) unstable; urgency=medium

  * update Build-Dependency libtag1-dev --> libtag-dev (closes: #1096086)
  * Bump policy (no change)

 -- Cord Beermann <cord@debian.org>  Sat, 22 Mar 2025 16:07:35 +0100

gogglesmm (1.2.5-4) unstable; urgency=medium

  * end of test run, all major Architectures are now building.
    (closes: #1071416, #1071419)
  * still some architectures fail to build, see
    https://buildd.debian.org/status/package.php?p=gogglesmm

 -- Cord Beermann <cord@debian.org>  Sat, 25 May 2024 13:31:00 +0200

gogglesmm (1.2.5-4~experimental4) experimental; urgency=medium

  * More experiments with Buildflags for m68k, powwrpc and sh4

 -- Cord Beermann <cord@debian.org>  Sat, 25 May 2024 09:57:34 +0200

gogglesmm (1.2.5-4~experimental3) experimental; urgency=medium

  * Fix up more build options

 -- Cord Beermann <cord@debian.org>  Fri, 24 May 2024 22:33:29 +0200

gogglesmm (1.2.5-4~experimental2) experimental; urgency=medium

  * Try another flag for powerpc

 -- Cord Beermann <cord@debian.org>  Fri, 24 May 2024 19:24:42 +0200

gogglesmm (1.2.5-4~experimental1) experimental; urgency=medium

  * Testing a patch for Big Endian Build

 -- Cord Beermann <cord@debian.org>  Thu, 23 May 2024 20:35:26 +0200

gogglesmm (1.2.5-3) unstable; urgency=medium

  * Push again to unstable. New working architecture is armel,
    but all Big Endian Architectures fail to compile.

 -- Cord Beermann <cord@debian.org>  Wed, 22 May 2024 21:10:07 +0200

gogglesmm (1.2.5-3~experimental6) experimental; urgency=medium

  * Full upload to experimental

 -- Cord Beermann <cord@debian.org>  Tue, 21 May 2024 18:52:41 +0200

gogglesmm (1.2.5-3~experimental5) experimental; urgency=medium

  * Another try to get more debugging information about endianness.
  * Upload only to amd64 and s390x

 -- Cord Beermann <cord@debian.org>  Mon, 20 May 2024 21:02:46 +0200

gogglesmm (1.2.5-3~experimental4) experimental; urgency=medium

  * Armel is working, so applying this to sh4 too.
  * FTBFS expected for all Big Endian Architectures.

 -- Cord Beermann <cord@debian.org>  Mon, 20 May 2024 11:53:18 +0200

gogglesmm (1.2.5-3~experimental3) experimental; urgency=low

  * Add a probable fix for armel FTBFS
  * Add some more debugging to see environment variables

 -- Cord Beermann <cord@debian.org>  Sun, 19 May 2024 22:44:42 +0200

gogglesmm (1.2.5-3~experimental2) experimental; urgency=low

  * Rebuild with some tweaks for the non-building Architectures.

 -- Cord Beermann <cord@debian.org>  Sun, 19 May 2024 13:24:45 +0200

gogglesmm (1.2.5-2) unstable; urgency=medium

  * Updated Policy to 4.7.0, no change
  * Removed suggestion on python2
  * Removed links to non-existing vcs
  * Restricted build to the known working architectures. Report Build-Failures
    from https://buildd.debian.org/status/logs.php?pkg=gogglesmm&ver=1.2.5-1
    upstream https://github.com/gogglesmm/gogglesmm/issues/118

 -- Cord Beermann <cord@debian.org>  Sun, 05 May 2024 20:07:01 +0200

gogglesmm (1.2.5-1) unstable; urgency=low

  * Taking over the package (closes: #994692)
  * New upstream release. (closes: #1008384, #739268)
  * Bumped Policy to 4.6.2

 -- Cord Beermann <cord@debian.org>  Tue, 30 Apr 2024 22:53:49 +0200
