=== debian/control ===
Source: gogglesmm
Section: sound
Priority: optional
Maintainer: Cord Beermann <cord@debian.org>
Build-Depends: debhelper-compat (= 13),
	       cmake (>= 3.3.1),
	       liba52-dev,
	       libasound2-dev,
	       libbz2-dev,
	       libdbus-1-dev,
	       libepoxy-dev,
	       libexpat1-dev,
	       libfaad-dev,
	       libflac-dev,
	       libfreetype-dev,
	       libglu1-mesa-dev,
	       libice-dev,
	       libjpeg-dev,
	       libmad0-dev [!hppa !m68k !powerpc !ppc64 !s390x !sparc64],
	       libogg-dev,
	       libopengl-dev,
	       libopenjp2-7-dev,
	       libopus-dev,
	       libpng-dev,
	       libpulse-dev,
	       libsm-dev,
	       libsndio-dev,
	       libsqlite3-dev (>= 3.6.19),
	       libssl-dev,
	       libtag-dev,
	       libtiff-dev,
	       libvorbis-dev,
	       libwebp-dev,
	       libx11-dev,
	       libxcursor-dev,
	       libxfixes-dev,
	       libxft-dev,
	       libxrandr-dev,
	       libz-dev,
               libfontconfig-dev,
               libncurses-dev,
	       gcc-multilib [ia64]
Standards-Version: 4.7.2
Homepage: https://gogglesmm.github.io

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Goggles Music Player and Manager
 Goggles Music Manager is a easy to use music manager and player for the Linux
 desktop. It comes with a podcast manager to download and/or play podcasts
 from the internet. Music tracks can be organized in various ways using play
 lists and custom filters. The buildin tag editor allows for easy editing tags
 in files, including adding album art and lyrics.
 .
 Features:
  * Fast and light weight. Quick startup, no splash screen needed!
  * Supports Ogg Vorbis, Opus, FLAC, MP3 and MP4 (aac)
  * Support for cover art embedded in tag or as separate file on disk
  * Subscribe to Podcasts (rss) using the buildin podcast manager
  * Tag editing and powerful file renaming capability
  * Leading word filter to prevent sorting on common words like the, a or an
  * Configurable Filters / smart play lists
  * Configurable play lists
  * Import/Export music library and play lists to XSPF, PLS, Extended M3U,
	M3U and CSV
  * Clipboard & DND (drag-and-drop) to arrange playlists and dragging to and
	from desktop
  * Clean and fast database backend using SQLite 3
  * Written using FOX, one of the fastest GUI toolkits available
  * Last.fm and libre.fm audio scrobbler support
  * Replay Gain support (Ogg Vorbis, FLAC and mp3 with APE tags)
  * Translated in Czech, French, German, Hungarian, Portuguese, Russian and
	Spanish
