=== debian/watch ===
Version: 5

Template: Github
Owner: gogglesmm
Project: gogglesmm
Update-Script: uupdate
